=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-ktextwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,13 +10,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6sonnet-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6sonnet-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-multimedia-dev (>= 6.5.0~),
@@ -25,8 +26,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktextwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktextwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktextwidgets
 Rules-Requires-Root: no
 
 Package: libkf6textwidgets-data
@@ -41,9 +42,10 @@
 Package: libkf6textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6completion-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6sonnet-dev (>= 6.3.0~),
+Depends: libkf6completion-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
+         libkf6sonnet-dev (>= 6.6.0~),
          libkf6textwidgets6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
