=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6completion-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6completion-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
                libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6sonnet-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6sonnet-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-multimedia-dev (>= 6.5.0~),
@@ -42,10 +42,10 @@
 Package: libkf6textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6completion-dev (>= 6.10.0~),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
-         libkf6sonnet-dev (>= 6.10.0~),
+Depends: libkf6completion-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
+         libkf6sonnet-dev (>= 6.11.0~),
          libkf6textwidgets6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
