=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6completion-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6configwidgets-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6sonnet-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6completion-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6configwidgets-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6sonnet-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-multimedia-dev (>= 6.5.0~),
@@ -42,10 +42,10 @@
 Package: libkf6textwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6completion-dev (>= 6.16.0~),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
-         libkf6sonnet-dev (>= 6.16.0~),
+Depends: libkf6completion-dev (>= 6.17.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
+         libkf6sonnet-dev (>= 6.17.0~),
          libkf6textwidgets6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
